.\" -*- nroff -*- generated from .Rd format
.BG
.FN coords.aniso
.TL
(Geometric) anisotropy correction
.DN
Transforms (or back-transforms) coordinates according to the parameters
defining geometric anisotropy.
.CS

coords.aniso(coords, aniso.pars, reverse = FALSE)

.RA
.AG coords
an n x 2 matrix with the coordinates to be transformed.
.AG aniso.pars
a vector with two elements: the first should be the
anisotropy angle and the second is the anisotropy ratio.
See DETAILS for the description of these elements.
.AG reverse
Defaults to `FALSE'. If `TRUE' the reverse
transformation is performed.
.RT
An n x 2 matrix with the transformed coordinates.
.SH REFERENCES
Further information about `geoR/geoS' can be found at:
.br
<URL: http://www.maths.lancs.ac.uk/~ribeiro/geoR.html>

.EX
coords.ori <- matrix(c(0,1,1,0,0,0,1,1), ncol=2)
par.mf <- par()$mfrow
par(mfrow=c(2,2))
plot(c(-1.5, 1), c(-1, 1), type="n")
text(x=coords.ori[,1], y=coords.ori[,2], lab=1:4)
coords.ori <- matrix(c(0,1,1,0,0,0,1,1), ncol=2)
coordsA <- coords.aniso(coords.ori, c(0, 2))
plot(c(-1.5, 1), c(-1, 1), type="n")
text(x=coordsA[,1], y=coordsA[,2], lab=paste("A", 1:4))
coordsB <- coords.aniso(coords.ori, c(pi/2, 2))
plot(c(-1.5, 1), c(-1, 1), type="n")
text(x=coordsB[,1], y=coordsB[,2], lab=paste("B", 1:4))
coordsC <- coords.aniso(coords.ori, c((3*pi/4), 2))
plot(c(-1.5, 1), c(-1, 1), type="n")
text(x=coordsC[,1], y=coordsC[,2], lab=paste("C", 1:4)) 
par(mfrow=par.mf)
.KW spatial
.WR
